Opened 15 years ago

Closed 15 years ago

#473 closed defect (duplicate)

Cannot import a plug-in configuration as administrator (not 'root' user)

Reported by: Jari Häkkinen Owned by: Nicklas Nordborg
Priority: trivial Milestone: BASE 2.2
Component: core Version: 2.1.2
Keywords: Cc:

Description

Running BASE 2.1.2 won't allow other administators than the default 'root' user to import plug-in configurations

Change History (4)

comment:1 Changed 15 years ago by Jari Häkkinen

Another problem related to configuration imports I encountered was that after importing a reporter importer configuration (affymetrix) as 'root' but trying to import as 'admin' (role 'Administrator') there was to import tab. I tried to share the configuration to 'admin' but there was still no import tab in the reporters page for 'admin'. So 'admin' took ownership for this configuration, and after this steal 'admin' could import reporters. This was tested on the latest revision (3070) in the trunk.

comment:2 Changed 15 years ago by Nicklas Nordborg

Priority: majortrivial

The import works when I test it in the trunk version. Can you confirm this or submit more info like an error message or stack trace and all relevant information to reproduce the error (including the configuration file you are trying to import).

The sharing problem is not related to this ticket and is moved to it's own ticket.

comment:3 Changed 15 years ago by Jari Häkkinen

I realize that my original descriptions was not clear, and in some strange way I tried to make my description more understandable with my first commen above.

So here we go, the problem is that in BASE 2.1.2 there is no 'import' tab for users with role 'administrator' in the plug-in configurations listing page. User 'root' has an 'import' tab. The same problem did also occur in the trunk version I tested with the other day but I suppose the issue was resolved as a part of ticket:476 since the problem has gone away. There is no stack trace or error reports.

The question is, should the ticket:476 resolution be applied to 2.1.2? I'd say no, and close this ticket. Nicklas, any thoughts?

comment:4 Changed 15 years ago by Nicklas Nordborg

Resolution: duplicate
Status: newclosed

Ok, then it is the same as #476. I am closing this as a duplicate.

Note: See TracTickets for help on using tickets.